Skip to main content
Settings/Chrony Servers Operations

GetChronyServers

GetChronyServers

GET/zstack/v1/zops/chrony/servers

Operation ID

GetChronyServers

Since

4.7.21

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • servers
    ListRequired

    See servers.

    • internal
      ChronyServerInfoRequired

      See internal.

      • hostname
        StringRequired

        Address.

      • status
        HostConnectedStatusRequired

        See status.

        • Connected
          HostConnectedStatusRequired

          The networke is connected.

        • Disconnected
          HostConnectedStatusRequired

          The networke is disconnected.

        • Unknown
          HostConnectedStatusRequired

          The network status is unknown.

    • external
      ChronyServerInfoRequired

      See external.

      • hostname
        StringRequired

        Address.

      • status
        HostConnectedStatusRequired

        See status.

        • Connected
          HostConnectedStatusRequired

          The networke is connected.

        • Disconnected
          HostConnectedStatusRequired

          The networke is disconnected.

        • Unknown
          HostConnectedStatusRequired

          The network status is unknown.